summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiziano Müller <dev-zero@gentoo.org>2016-03-09 09:40:17 +0100
committerTiziano Müller <dev-zero@gentoo.org>2016-03-09 09:40:17 +0100
commitfdcf49cabeda32968c14b6e97bb890a9887dfe3f (patch)
tree600791c516b88adda3f60a71705efa95e4197f34 /sci-chemistry
parentdev-util/cookiecutter: py-3.5 compat, fix tests (diff)
downloaddev-zero-fdcf49cabeda32968c14b6e97bb890a9887dfe3f.tar.gz
dev-zero-fdcf49cabeda32968c14b6e97bb890a9887dfe3f.tar.bz2
dev-zero-fdcf49cabeda32968c14b6e97bb890a9887dfe3f.zip
bump avogadro2 and its rev-deps
Diffstat (limited to 'sci-chemistry')
-rw-r--r--sci-chemistry/avogadro2/Manifest1
-rw-r--r--sci-chemistry/avogadro2/avogadro2-0.9.0.ebuild53
-rw-r--r--sci-chemistry/avogadro2/metadata.xml15
3 files changed, 69 insertions, 0 deletions
diff --git a/sci-chemistry/avogadro2/Manifest b/sci-chemistry/avogadro2/Manifest
new file mode 100644
index 0000000..6b72131
--- /dev/null
+++ b/sci-chemistry/avogadro2/Manifest
@@ -0,0 +1 @@
+DIST avogadroapp-0.9.0.tar.gz 1105704 SHA256 b67bdf27975a5ebdb8b54fcfd079e3caceece466ba21c0d0d02b384144efa796 SHA512 22ab7a1115255d55e9a149ebed0f330af10d748bacf9c86b5a23d147d7605b8f180aac2adef22dabdaece703f456609d4db2e72e130964ad013c6a109e6456f6 WHIRLPOOL b6c3dfa776ca20740973f64e626ebf67e7046f1c369f8e57195bf5c09d4745cff3daf03a543e0207075f538214ab3dd3223a099e062000cd705faa52436f5377
diff --git a/sci-chemistry/avogadro2/avogadro2-0.9.0.ebuild b/sci-chemistry/avogadro2/avogadro2-0.9.0.ebuild
new file mode 100644
index 0000000..a8647f7
--- /dev/null
+++ b/sci-chemistry/avogadro2/avogadro2-0.9.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils
+
+MY_PN=avogadroapp
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Advanced molecule editor and visualizer 2"
+HOMEPAGE="http://www.openchemistry.org/"
+SRC_URI="mirror://sourceforge/project/avogadro/avogadro2/${PV}/${MY_P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD GPL-2+"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc rpc test vtk"
+
+RDEPEND="
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtopengl:5
+ dev-qt/qtwidgets:5
+ ~sci-libs/avogadrolibs-${PV}[qt5,opengl]
+ sci-libs/hdf5
+ rpc? ( sci-chemistry/molequeue )
+"
+DEPEND="${DEPEND}
+ >=dev-cpp/eigen-3.2.0-r1
+ test? ( dev-qt/qttest:5 )"
+
+RESTRICT=test
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+ sed '/COPYING/d' -i CMakeLists.txt || die
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_DOCUMENTATION="$(usex doc)"
+ -DUSE_VTK="$(usex vtk)"
+ -DUSE_Avogadro_ENABLE_RPC="$(usex rpc)"
+ -DENABLE_TESTING="$(usex test)"
+ )
+ cmake-utils_src_configure
+}
diff --git a/sci-chemistry/avogadro2/metadata.xml b/sci-chemistry/avogadro2/metadata.xml
new file mode 100644
index 0000000..89ea8dc
--- /dev/null
+++ b/sci-chemistry/avogadro2/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci-chemistry@gentoo.org</email>
+ <name>Gentoo Chemistry Project</name>
+ </maintainer>
+ <use>
+ <flag name="rpc">Enable RPC server</flag>
+ <flag name="vtk">include vtk support</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">avogadro</remote-id>
+ </upstream>
+</pkgmetadata>